<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:ui="http://xmlns.jcp.org/jsf/facelets"
      xmlns:h="http://xmlns.jcp.org/jsf/html"
      xmlns:f="http://xmlns.jcp.org/jsf/core"

      xmlns:p="http://primefaces.org/ui">

    <ui:composition template="/template_1.xhtml">
        <ui:define name="title">
        </ui:define>
        <ui:define name="bodys">
            <h:form id="lista_ambientes" prependId="false">
                <h:panelGroup rendered="#{ambientesController.items.rowCount > 0}">

                    <p:dataTable id="tablaAmbientes" sortMode="multiple" value="#{ambientesController.items}" var="item" 
                                 widgetVar="tablaAmbientes" emptyMessage="No hay solicitudes disponibles" paginator="true" rows="10"
                                 rowKey="#{item.ambienteId}" 
                                 selectionMode="single" selection="#{inventariosController.ambienteSelec}" >

                        <p:ajax event="rowSelect" listener="#{inventariosController.onRowSelect}" process="@this" update="tablaAmbientes" oncomplete="PF('dlg').show();"  immediate="true"  />
                        <p:ajax event="rowUnselect" listener="#{inventariosController.onRowUnselect}" process="@this" update="tablaAmbientes" oncomplete="PF('dlg').hide();" />

                        <p:column style="width:4%" >
                            <f:facet name="header">
                                <h:outputText value="#{bundle.ListAmbientesTitle_ambienteId}"/>
                            </f:facet>
                            <h:outputText value="#{item.ambienteId}"/>
                        </p:column >
                        <p:column style="width:10%" filterBy="#{item.ambienteNombre}"   
                                  headerText="Nombre"   filterMatchMode="contains" sortBy="#{item.ambienteNombre}">
                            <f:facet name="header">
                                <h:outputText value="#{bundle.ListAmbientesTitle_ambienteNombre}"/>
                            </f:facet>
                            <h:outputText value="#{item.ambienteNombre}"/>
                        </p:column>
                        <p:column style="width:15%">
                            <f:facet name="header">
                                <h:outputText value="#{bundle.ListAmbientesTitle_ambienteImg360}"/>
                            </f:facet>
                            <a href="../../Recursos/ImagenesAmbientes/#{item.ambienteImg360}" class="htmllightbox" data-group="migrupo" title="fotos">
                                <p:graphicImage value="#{pageContext.contextPath}/Recursos/ImagenesAmbientes/#{item.ambienteImg360}"
                                                cache="false" style="height: 203px;" />
                            </a>
                        </p:column>
                        <p:column style="width:8%">
                            <f:facet name="header">
                                <h:outputText value="#{bundle.ListAmbientesTitle_inventarioInventarioId}"/>
                            </f:facet>
                            <h:outputText value="#{item.inventarioInventarioId.inventarioNombre}" >
                            </h:outputText>
                            <p:dialog id="dialogInv" position="center" header="Inventario #{inventariosController.ambienteSelec.inventarioInventarioId.inventarioNombre}" modal="true"
                                      widgetVar="dlg"   appendTo="@(body)" closable="true" >
                                <p:outputPanel id="carDetail" style="text-align:center;">
                                    <ui:include src="/web/inventarios/View.xhtml" rendered="#{!sessionBean.activa}" />
                                    <p:commandButton value="Cerrar" onclick="PF('dlg').hide();" />
                                </p:outputPanel>
                            </p:dialog>
                        </p:column>
                        <p:column style="width:15%">
                            <f:facet name="header">
                                <h:outputText value="&nbsp;"/>
                            </f:facet>
                            <h:commandLink action="#{ambientesController.prepareEdit}" value="#{bundle.ListAmbientesEditLink}"/>
                            <h:outputText value=" "/>
                            <h:commandLink action="#{ambientesController.destroy}" value="#{bundle.ListAmbientesDestroyLink}"/>
                        </p:column>
                        

                    </p:dataTable>
                </h:panelGroup>
                <br />
            </h:form>
        </ui:define>
    </ui:composition>

</html>
